<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:id="@+id/parentLay"
    android:background="@drawable/selected_chat_row">

    <com.topzi.chat.View.RegularTextView
        android:id="@+id/text_message_sender"
        android:layout_width="170dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        android:paddingBottom="1dp"
        android:text="Name"
        android:textColor="@color/primarytext"
        android:textSize="@dimen/text_size_small"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/image_body_lay"
        android:layout_width="170dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/text_message_sender">

        <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

        <include layout="@layout/lyt_reply" />

        <com.makeramen.roundedimageview.RoundedImageView
            android:id="@+id/uploadimage"
            android:layout_width="170dp"
            android:layout_height="170dp"
            android:background="@color/secondarybg"
            android:scaleType="centerCrop"
            app:riv_corner_radius="20dp"
            app:riv_mutate_background="true"
                android:layout_below="@+id/lyt_reply"/>
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/videoprogresslay"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginLeft="12dp"
            android:layout_marginBottom="12dp"
            android:background="@drawable/download_bg"
            android:backgroundTint="#80000000"
            android:layout_gravity="bottom"
            android:visibility="gone">

            <ImageView
                android:id="@+id/videodownloadicon"
                android:layout_width="10dp"
                android:layout_height="10dp"
                android:layout_centerInParent="true"
                android:src="@drawable/download"
                android:tint="@color/white" />

            <com.topzi.chat.external.ProgressWheel
                xmlns:wheel="http://schemas.android.com/apk/res-auto"
                android:id="@+id/videoprogressbar"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_centerInParent="true"
                android:visibility="visible"
                wheel:matProg_barColor="@color/white"
                wheel:matProg_barWidth="2dp"
                wheel:matProg_rimColor="#40FFFFFF"
                wheel:matProg_rimWidth="2dp" />
        </RelativeLayout>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:background="@drawable/background_gradient"
            android:layout_gravity="bottom|right">
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom|right"
                android:orientation="horizontal"
                android:paddingBottom="5dp"
                android:paddingRight="5dp">
                <ImageView
                    android:id="@+id/ivStar"
                    android:layout_width="17dp"
                    android:layout_height="17dp"
                    android:layout_gravity="bottom"
                    android:layout_marginRight="8dp"
                    android:layout_marginBottom="1dp"
                    android:src="@drawable/ic_round_star_48"
                    android:visibility="gone"/>
                <com.topzi.chat.View.RegularTextView
                    android:id="@+id/text_message_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="4dp"
                    android:text="11:15 PM"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_size_very_small" />
            </LinearLayout>
        </FrameLayout>


        <RelativeLayout
            android:id="@+id/progresslay"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:background="@drawable/download_bg"
            android:backgroundTint="#80000000"
            android:layout_gravity="center">

            <ImageView
                android:id="@+id/downloadicon"
                android:layout_width="15dp"
                android:layout_height="15dp"
                android:layout_centerInParent="true"
                android:src="@drawable/download"
                android:tint="@color/white" />

            <com.topzi.chat.external.ProgressWheel xmlns:wheel="http://schemas.android.com/apk/res-auto"
                android:id="@+id/progressbar"
                android:layout_width="35dp"
                android:layout_height="35dp"
                android:layout_centerInParent="true"
                android:visibility="visible"
                wheel:matProg_barColor="@color/white"
                wheel:matProg_barWidth="2dp"
                wheel:matProg_rimColor="#40FFFFFF"
                wheel:matProg_rimWidth="2dp" />
        </RelativeLayout>
    </FrameLayout>

</androidx.constraintlayout.widget.ConstraintLayout>